#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libxcrypt
Version		:	4.4.36
Release		:	17.2.0.rel%{?dist}
Summary		:	Extended crypt library for descrypt, md5crypt, bcrypt, and others

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://github.com/besser82/libxcrypt/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	glibc

#-----------------------------------------------------------------------------
%description
libxcrypt is a modern library for one-way hashing of
passwords.  It supports a wide variety of both modern
and historical hashing methods:
yescrypt, gost-yescrypt, scrypt, bcrypt, sha512crypt,
sha256crypt, md5crypt, SunMD5, sha1crypt, NT, bsdicrypt,
bigcrypt, and descrypt.
It provides the traditional Unix crypt and crypt_r
interfaces, as well as a set of extended interfaces
pioneered by Openwall Linux, crypt_rn, crypt_ra,
crypt_gensalt, crypt_gensalt_rn, and crypt_gensalt_ra.
 
libxcrypt is intended to be used by login(1), passwd(1),
and other similar programs; that is, to hash a small
number of passwords during an interactive authentication
dialogue with a human. It is not suitable for use in
bulk password-cracking applications, or in any other
situation where speed is more important than careful
handling of sensitive data.
However, it is intended to be fast and lightweight
enough for use in servers that must field thousands
of login attempts per minute.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS
%license COPYING.LIB LICENSING
%{_libdir}/libcrypt.so.2*
%{_mandir}/man5/crypt.5*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/crypt.h
%{_libdir}/libcrypt.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libcrypt.pc
%{_mandir}/man3/crypt.3*
%{_mandir}/man3/crypt_r.3*
%{_mandir}/man3/crypt_ra.3*
%{_mandir}/man3/crypt_rn.3*
%{_mandir}/man3/crypt_checksalt.3*
%{_mandir}/man3/crypt_gensalt.3*
%{_mandir}/man3/crypt_gensalt_ra.3*
%{_mandir}/man3/crypt_gensalt_rn.3*
%{_mandir}/man3/crypt_preferred_method.3*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--enable-hashes=strong,glibc			\
	--enable-obsolete-api=no			\
	--disable-static				\
	--disable-failure-tokens			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} check

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
